"""Contains the mapping of codicons to their respective unicode values."""

codicons = {
    "account": "\ueb99",
    "activate-breakpoints": "\uea97",
    "add": "\uea60",
    "archive": "\uea98",
    "arrow-both": "\uea99",
    "arrow-circle-down": "\uebfc",
    "arrow-circle-left": "\uebfd",
    "arrow-circle-right": "\uebfe",
    "arrow-circle-up": "\uebff",
    "arrow-down": "\uea9a",
    "arrow-left": "\uea9b",
    "arrow-right": "\uea9c",
    "arrow-small-down": "\uea9d",
    "arrow-small-left": "\uea9e",
    "arrow-small-right": "\uea9f",
    "arrow-small-up": "\ueaa0",
    "arrow-swap": "\uebcb",
    "arrow-up": "\ueaa1",
    "attach": "\uec34",
    "azure-devops": "\uebe8",
    "azure": "\uebd8",
    "beaker-stop": "\uebe1",
    "beaker": "\uea79",
    "bell-dot": "\ueb9a",
    "bell-slash-dot": "\uec09",
    "bell-slash": "\uec08",
    "bell": "\ueaa2",
    "blank": "\uec03",
    "bold": "\ueaa3",
    "book": "\ueaa4",
    "bookmark": "\ueaa5",
    "bracket-dot": "\uebe5",
    "bracket-error": "\uebe6",
    "briefcase": "\ueaac",
    "broadcast": "\ueaad",
    "browser": "\ueaae",
    "bug": "\ueaaf",
    "calendar": "\ueab0",
    "call-incoming": "\ueb92",
    "call-outgoing": "\ueb93",
    "case-sensitive": "\ueab1",
    "check-all": "\uebb1",
    "check": "\ueab2",
    "checklist": "\ueab3",
    "chevron-down": "\ueab4",
    "chevron-left": "\ueab5",
    "chevron-right": "\ueab6",
    "chevron-up": "\ueab7",
    "chip": "\uec19",
    "chrome-close": "\ueab8",
    "chrome-maximize": "\ueab9",
    "chrome-minimize": "\ueaba",
    "chrome-restore": "\ueabb",
    "circle-filled": "\uea71",
    "circle-large-filled": "\uebb4",
    "circle-large": "\uebb5",
    "circle-slash": "\ueabd",
    "circle-small-filled": "\ueb8a",
    "circle-small": "\uec07",
    "circle": "\ueabc",
    "circuit-board": "\ueabe",
    "clear-all": "\ueabf",
    "clippy": "\ueac0",
    "close-all": "\ueac1",
    "close": "\uea76",
    "cloud-download": "\ueac2",
    "cloud-upload": "\ueac3",
    "cloud": "\uebaa",
    "code-oss": "\uec2b",
    "code": "\ueac4",
    "coffee": "\uec15",
    "collapse-all": "\ueac5",
    "color-mode": "\ueac6",
    "combine": "\uebb6",
    "comment-discussion": "\ueac7",
    "comment-draft": "\uec0e",
    "comment-unresolved": "\uec0a",
    "comment": "\uea6b",
    "compass-active": "\uebd7",
    "compass-dot": "\uebd6",
    "compass": "\uebd5",
    "copilot": "\uec1e",
    "copy": "\uebcc",
    "coverage": "\uec2e",
    "credit-card": "\ueac9",
    "dash": "\ueacc",
    "dashboard": "\ueacd",
    "database": "\ueace",
    "debug-all": "\uebdc",
    "debug-alt-small": "\ueba8",
    "debug-alt": "\ueb91",
    "debug-breakpoint-conditional-unverified": "\ueaa6",
    "debug-breakpoint-conditional": "\ueaa7",
    "debug-breakpoint-data-unverified": "\ueaa8",
    "debug-breakpoint-data": "\ueaa9",
    "debug-breakpoint-function-unverified": "\ueb87",
    "debug-breakpoint-function": "\ueb88",
    "debug-breakpoint-log-unverified": "\ueaaa",
    "debug-breakpoint-log": "\ueaab",
    "debug-breakpoint-unsupported": "\ueb8c",
    "debug-console": "\ueb9b",
    "debug-continue-small": "\uebe0",
    "debug-continue": "\ueacf",
    "debug-coverage": "\uebdd",
    "debug-disconnect": "\uead0",
    "debug-line-by-line": "\uebd0",
    "debug-pause": "\uead1",
    "debug-rerun": "\uebc0",
    "debug-restart-frame": "\ueb90",
    "debug-restart": "\uead2",
    "debug-reverse-continue": "\ueb8e",
    "debug-stackframe-active": "\ueb89",
    "debug-stackframe": "\ueb8b",
    "debug-start": "\uead3",
    "debug-step-back": "\ueb8f",
    "debug-step-into": "\uead4",
    "debug-step-out": "\uead5",
    "debug-step-over": "\uead6",
    "debug-stop": "\uead7",
    "debug": "\uead8",
    "desktop-download": "\uea78",
    "device-camera-video": "\uead9",
    "device-camera": "\ueada",
    "device-mobile": "\ueadb",
    "diff-added": "\ueadc",
    "diff-ignored": "\ueadd",
    "diff-modified": "\ueade",
    "diff-multiple": "\uec23",
    "diff-removed": "\ueadf",
    "diff-renamed": "\ueae0",
    "diff-single": "\uec22",
    "diff": "\ueae1",
    "discard": "\ueae2",
    "edit": "\uea73",
    "editor-layout": "\ueae3",
    "ellipsis": "\uea7c",
    "empty-window": "\ueae4",
    "error-small": "\uebfb",
    "error": "\uea87",
    "exclude": "\ueae5",
    "expand-all": "\ueb95",
    "export": "\uebac",
    "extensions": "\ueae6",
    "eye-closed": "\ueae7",
    "eye": "\uea70",
    "feedback": "\ueb96",
    "file-binary": "\ueae8",
    "file-code": "\ueae9",
    "file-media": "\ueaea",
    "file-pdf": "\ueaeb",
    "file-submodule": "\ueaec",
    "file-symlink-directory": "\ueaed",
    "file-symlink-file": "\ueaee",
    "file-zip": "\ueaef",
    "file": "\uea7b",
    "files": "\ueaf0",
    "filter-filled": "\uebce",
    "filter": "\ueaf1",
    "flame": "\ueaf2",
    "fold-down": "\ueaf3",
    "fold-up": "\ueaf4",
    "fold": "\ueaf5",
    "folder-active": "\ueaf6",
    "folder-library": "\uebdf",
    "folder-opened": "\ueaf7",
    "folder": "\uea83",
    "game": "\uec17",
    "gear": "\ueaf8",
    "gift": "\ueaf9",
    "gist-secret": "\ueafa",
    "git-commit": "\ueafc",
    "git-compare": "\ueafd",
    "git-fetch": "\uf101",
    "git-merge": "\ueafe",
    "git-pull-request-closed": "\uebda",
    "git-pull-request-create": "\uebbc",
    "git-pull-request-draft": "\uebdb",
    "git-pull-request-go-to-changes": "\uec0b",
    "git-pull-request-new-changes": "\uec0c",
    "git-pull-request": "\uea64",
    "git-stash-apply": "\uec27",
    "git-stash-pop": "\uec28",
    "git-stash": "\uec26",
    "github-action": "\ueaff",
    "github-alt": "\ueb00",
    "github-inverted": "\ueba1",
    "github-project": "\uec2f",
    "github": "\uea84",
    "globe": "\ueb01",
    "go-to-file": "\uea94",
    "go-to-search": "\uec32",
    "grabber": "\ueb02",
    "graph-left": "\uebad",
    "graph-line": "\uebe2",
    "graph-scatter": "\uebe3",
    "graph": "\ueb03",
    "gripper": "\ueb04",
    "group-by-ref-type": "\ueb97",
    "heart-filled": "\uec04",
    "heart": "\ueb05",
    "history": "\uea82",
    "home": "\ueb06",
    "horizontal-rule": "\ueb07",
    "hubot": "\ueb08",
    "inbox": "\ueb09",
    "indent": "\uebf9",
    "info": "\uea74",
    "insert": "\uec11",
    "inspect": "\uebd1",
    "issue-draft": "\uebd9",
    "issue-reopened": "\ueb0b",
    "issues": "\ueb0c",
    "italic": "\ueb0d",
    "jersey": "\ueb0e",
    "json": "\ueb0f",
    "kebab-vertical": "\ueb10",
    "key": "\ueb11",
    "law": "\ueb12",
    "layers-active": "\uebd4",
    "layers-dot": "\uebd3",
    "layers": "\uebd2",
    "layout-activitybar-left": "\uebec",
    "layout-activitybar-right": "\uebed",
    "layout-centered": "\uebf7",
    "layout-menubar": "\uebf6",
    "layout-panel-center": "\uebef",
    "layout-panel-justify": "\uebf0",
    "layout-panel-left": "\uebee",
    "layout-panel-off": "\uec01",
    "layout-panel-right": "\uebf1",
    "layout-panel": "\uebf2",
    "layout-sidebar-left-off": "\uec02",
    "layout-sidebar-left": "\uebf3",
    "layout-sidebar-right-off": "\uec00",
    "layout-sidebar-right": "\uebf4",
    "layout-statusbar": "\uebf5",
    "layout": "\uebeb",
    "library": "\ueb9c",
    "lightbulb-autofix": "\ueb13",
    "lightbulb-sparkle": "\uec1f",
    "lightbulb": "\uea61",
    "link-external": "\ueb14",
    "link": "\ueb15",
    "list-filter": "\ueb83",
    "list-flat": "\ueb84",
    "list-ordered": "\ueb16",
    "list-selection": "\ueb85",
    "list-tree": "\ueb86",
    "list-unordered": "\ueb17",
    "live-share": "\ueb18",
    "loading": "\ueb19",
    "location": "\ueb1a",
    "lock-small": "\uebe7",
    "lock": "\uea75",
    "magnet": "\uebae",
    "mail-read": "\ueb1b",
    "mail": "\ueb1c",
    "map-filled": "\uec06",
    "map-vertical-filled": "\uec31",
    "map-vertical": "\uec30",
    "map": "\uec05",
    "markdown": "\ueb1d",
    "megaphone": "\ueb1e",
    "mention": "\ueb1f",
    "menu": "\ueb94",
    "merge": "\uebab",
    "mic-filled": "\uec1c",
    "mic": "\uec12",
    "milestone": "\ueb20",
    "mirror": "\uea69",
    "mortar-board": "\ueb21",
    "move": "\ueb22",
    "multiple-windows": "\ueb23",
    "music": "\uec1b",
    "mute": "\ueb24",
    "new-file": "\uea7f",
    "new-folder": "\uea80",
    "newline": "\uebea",
    "no-newline": "\ueb25",
    "note": "\ueb26",
    "notebook-template": "\uebbf",
    "notebook": "\uebaf",
    "octoface": "\ueb27",
    "open-preview": "\ueb28",
    "organization": "\uea7e",
    "output": "\ueb9d",
    "package": "\ueb29",
    "paintcan": "\ueb2a",
    "pass-filled": "\uebb3",
    "pass": "\ueba4",
    "percentage": "\uec33",
    "person-add": "\uebcd",
    "person": "\uea67",
    "piano": "\uec1a",
    "pie-chart": "\uebe4",
    "pin": "\ueb2b",
    "pinned-dirty": "\uebb2",
    "pinned": "\ueba0",
    "play-circle": "\ueba6",
    "play": "\ueb2c",
    "plug": "\ueb2d",
    "preserve-case": "\ueb2e",
    "preview": "\ueb2f",
    "primitive-square": "\uea72",
    "project": "\ueb30",
    "pulse": "\ueb31",
    "question": "\ueb32",
    "quote": "\ueb33",
    "radio-tower": "\ueb34",
    "reactions": "\ueb35",
    "record-keys": "\uea65",
    "record-small": "\uebfa",
    "record": "\ueba7",
    "redo": "\uebb0",
    "references": "\ueb36",
    "refresh": "\ueb37",
    "regex": "\ueb38",
    "remote-explorer": "\ueb39",
    "remote": "\ueb3a",
    "remove": "\ueb3b",
    "replace-all": "\ueb3c",
    "replace": "\ueb3d",
    "reply": "\uea7d",
    "repo-clone": "\ueb3e",
    "repo-fetch": "\uec1d",
    "repo-force-push": "\ueb3f",
    "repo-forked": "\uea63",
    "repo-pull": "\ueb40",
    "repo-push": "\ueb41",
    "repo": "\uea62",
    "report": "\ueb42",
    "request-changes": "\ueb43",
    "robot": "\uec20",
    "rocket": "\ueb44",
    "root-folder-opened": "\ueb45",
    "root-folder": "\ueb46",
    "rss": "\ueb47",
    "ruby": "\ueb48",
    "run-above": "\uebbd",
    "run-all-coverage": "\uec2d",
    "run-all": "\ueb9e",
    "run-below": "\uebbe",
    "run-coverage": "\uec2c",
    "run-errors": "\uebde",
    "save-all": "\ueb49",
    "save-as": "\ueb4a",
    "save": "\ueb4b",
    "screen-full": "\ueb4c",
    "screen-normal": "\ueb4d",
    "search-fuzzy": "\uec0d",
    "search-stop": "\ueb4e",
    "search": "\uea6d",
    "send": "\uec0f",
    "server-environment": "\ueba3",
    "server-process": "\ueba2",
    "server": "\ueb50",
    "settings-gear": "\ueb51",
    "settings": "\ueb52",
    "share": "\uec25",
    "shield": "\ueb53",
    "sign-in": "\uea6f",
    "sign-out": "\uea6e",
    "smiley": "\ueb54",
    "snake": "\uec16",
    "sort-precedence": "\ueb55",
    "source-control": "\uea68",
    "sparkle-filled": "\uec21",
    "sparkle": "\uec10",
    "split-horizontal": "\ueb56",
    "split-vertical": "\ueb57",
    "squirrel": "\ueb58",
    "star-empty": "\uea6a",
    "star-full": "\ueb59",
    "star-half": "\ueb5a",
    "stop-circle": "\ueba5",
    "surround-with": "\uec24",
    "symbol-array": "\uea8a",
    "symbol-boolean": "\uea8f",
    "symbol-class": "\ueb5b",
    "symbol-color": "\ueb5c",
    "symbol-constant": "\ueb5d",
    "symbol-enum-member": "\ueb5e",
    "symbol-enum": "\uea95",
    "symbol-event": "\uea86",
    "symbol-field": "\ueb5f",
    "symbol-file": "\ueb60",
    "symbol-interface": "\ueb61",
    "symbol-key": "\uea93",
    "symbol-keyword": "\ueb62",
    "symbol-method": "\uea8c",
    "symbol-misc": "\ueb63",
    "symbol-namespace": "\uea8b",
    "symbol-numeric": "\uea90",
    "symbol-operator": "\ueb64",
    "symbol-parameter": "\uea92",
    "symbol-property": "\ueb65",
    "symbol-ruler": "\uea96",
    "symbol-snippet": "\ueb66",
    "symbol-string": "\ueb8d",
    "symbol-structure": "\uea91",
    "symbol-variable": "\uea88",
    "sync-ignored": "\ueb9f",
    "sync": "\uea77",
    "table": "\uebb7",
    "tag": "\uea66",
    "target": "\uebf8",
    "tasklist": "\ueb67",
    "telescope": "\ueb68",
    "terminal-bash": "\uebca",
    "terminal-cmd": "\uebc4",
    "terminal-debian": "\uebc5",
    "terminal-linux": "\uebc6",
    "terminal-powershell": "\uebc7",
    "terminal-tmux": "\uebc8",
    "terminal-ubuntu": "\uebc9",
    "terminal": "\uea85",
    "text-size": "\ueb69",
    "three-bars": "\ueb6a",
    "thumbsdown-filled": "\uec13",
    "thumbsdown": "\ueb6b",
    "thumbsup-filled": "\uec14",
    "thumbsup": "\ueb6c",
    "tools": "\ueb6d",
    "trash": "\uea81",
    "triangle-down": "\ueb6e",
    "triangle-left": "\ueb6f",
    "triangle-right": "\ueb70",
    "triangle-up": "\ueb71",
    "twitter": "\ueb72",
    "type-hierarchy-sub": "\uebba",
    "type-hierarchy-super": "\uebbb",
    "type-hierarchy": "\uebb9",
    "unfold": "\ueb73",
    "ungroup-by-ref-type": "\ueb98",
    "unlock": "\ueb74",
    "unmute": "\ueb75",
    "unverified": "\ueb76",
    "variable-group": "\uebb8",
    "verified-filled": "\uebe9",
    "verified": "\ueb77",
    "versions": "\ueb78",
    "vm-active": "\ueb79",
    "vm-connect": "\ueba9",
    "vm-outline": "\ueb7a",
    "vm-running": "\ueb7b",
    "vm": "\uea7a",
    "vr": "\uec18",
    "vscode-insiders": "\uec2a",
    "vscode": "\uec29",
    "wand": "\uebcf",
    "warning": "\uea6c",
    "watch": "\ueb7c",
    "whitespace": "\ueb7d",
    "whole-word": "\ueb7e",
    "window": "\ueb7f",
    "word-wrap": "\ueb80",
    "workspace-trusted": "\uebc1",
    "workspace-unknown": "\uebc3",
    "workspace-untrusted": "\uebc2",
    "zoom-in": "\ueb81",
    "zoom-out": "\ueb82",
}


def get_codicon(name: str):
    if name in codicons:
        return codicons.get(name, name)
